Subject: Re: bug#20674: linum-mode overwrites existing margin width

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 May 2015 14:30:19 -0400

> Either linum-mode.el ~ L167 should be changed to accommodate existing
> margin width, setting width to the maximum of existing or calculated
> value, or the function should test whether the calculated width exceeds
> the current margin width, and only update the window if necessary.

You might like to try the development version of nlinum.el where I've
implemented something like that.

http://git.savannah.gnu.org/cgit/emacs/elpa.git/plain/packages/nlinum/nlinum.el

        Stefan